# react-viewerbase

> A set of React components for Medical Imaging Viewers.

*Status: Under development*

[![NPM](https://img.shields.io/npm/v/react-viewerbase.svg)](https://www.npmjs.com/package/react-viewerbase)

## Install

```bash
npm install --save react-viewerbase
```

## Usage

```jsx
import React, { Component } from 'react'

import CornerstoneViewport from 'react-viewerbase'

class Example extends Component {
  render () {
    return (
      <CornerstoneViewport />
    )
  }
}
```

## To run locally
1. Clone this repository and build the library
1. `cd react-viewerbase`
1. `yarn install`
1. `yarn start`
1. Open a new terminal (or tab) and build the example application.
1. `cd example`
1. `yarn install`
1. `yarn start`

## License

MIT © [OHIF](https://github.com/OHIF)
